
User Interface - Bug #2622

width-pixel/height-pixels can't be assigned during create frame

07/25/2015 09:21 AM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 07/31/2015 08:08 AM - Constantin Asofiei

- Status changed from New to WIP

Setting the frame's width/height attributes works in P2J only in "batch" mode, with the CREATE ASSIGN statement.  When set sequentially, the frame

performs its layout on the first pushScreenDefinition call (when the first attribute is set), and any subsequent dimension changed is just ignored.

Another peculiarity here is if only one of the dimension attributes is set, 4GL computes the other to a minimal value, if a VIEW (to realize the frame) is

performed right after it.  Also, in 4GL the frame is set in vert-scrollable mode, if the height dimension is the last to set.

As a larger issue, I think we need to standardize the way we determine if a widget's dimension was set explicitly on server-side (via config or

attributes) or is computed implicitly.

#2 - 08/07/2015 04:41 AM - Constantin Asofiei

Created branch 2622a from trunk rev 10916.

#3 - 08/07/2015 05:37 AM - Constantin Asofiei

Please review branch 2622a rev 10917.

This is in runtime testing now.

#4 - 08/07/2015 08:53 AM - Greg Shah

Code Review Task Branch 2622a Rev 10917

I'm fine with the changes.

#5 - 08/07/2015 02:47 PM - Constantin Asofiei

Rev 10917 passed runtime testing.

#6 - 08/08/2015 08:10 AM - Constantin Asofiei

Branch 2622a was merged to trunk rev 10917 and archived.
#7 - 08/08/2015 08:26 AM - Greg Shah

- Status changed from WIP to Closed

#8 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
